## cutils 1.5.2

=== examples/cobfusc/Makefile ===
FILES = source.c unloop1.c obfusc1.c obfusc2.c obfusc3.c

all: $(FILES)

source.c: ../cweb/wc.web
	../../src/ctangle/ctangle ../cweb/wc.web | sed '/^#line/d' >source.c

unloop1.c: source.c
	../../src/cunloop/cunloop <source.c >unloop1.c

obfusc1.c: source.c
	../../src/cobfusc/cobfusc -iword <source.c >obfusc1.c

obfusc2.c: source.c
	../../src/cobfusc/cobfusc -e <source.c >obfusc2.c

obfusc3.c: unloop1.c
	../../src/cobfusc/cobfusc -adem -inumeric <unloop1.c >obfusc3.c

clean:
	rm -f $(FILES)

=== examples/cweb/Makefile ===
all: wc.c wc.tex wc

wc.c: wc.web
	../../src/ctangle/ctangle wc.web >wc.c

wc.tex: wc.web
	../../src/cweave/cweave -h wc.web >wc.tex

wc: wc.c
	cc -o wc wc.c

wc.dvi:	wc.tex
	latex wc.tex
	latex wc.tex
	latex wc.tex

clean:
	rm -f wc wc.c wc.tex wc.dvi wc.aux wc.toc wc.log

## cutils 1.6

=== debian/changelog ===
cutils (1.6-6) unstable; urgency=medium

  * QA upload.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control:
    + Bump Standards-Version to 4.6.1.
    + Drop outdated Testsuite: field.
    + Add Vcs-* fields.
    + Drop cweb suggestion, package removed.
  * Bump debhelper compat to v13.
  * debian/changelog: Drop trailing spaces.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Oct 2022 21:50:20 -0400

cutils (1.6-5) unstable; urgency=medium

  * QA upload.
  * Convert Debian source to '3.0 (quilt)' format and build with Debhelper.
  * debian/control:
    - Add homepage details.
    - Indicate compliance with Debian Policy 4.1.0.
    - Build with flex instead of flex-old.
  * Add watch file.
  * Convert debian/copyright to DEP-5 format and update.
  * debian/patches/*:
    - Fix spelling in binary.
    - Patch Makefile.in files to honour CPPFLAGS.
    - Update autoconf files to work with version 2.69.
    - Fix missing yylex() declarations.
    - Fix Makefile.in files for parallel builds.
    - Fix Makefile.in files so that they don't ignore any failures
      inside for loops.
  * debian/rules:
    - Build with all hardening flags set.
    - Build with autoreconf.
    - Ensure that 32-bit architectures compile with LFS support.
    - Backup and restore files that change during build.
    - Enable parallel builds.
  * Add package test to catch BBPFS. See #253654.
  * Add doc-base control file.

 -- Carlos Maddela <e7appew@gmail.com>  Sun, 03 Sep 2017 16:35:19 +1000

cutils (1.6-4) unstable; urgency=medium

  * QA upload
  * Set maintainer field to Debian QA Group (see #790728)
  * Declare debhelper compat level, bump to 10. Closes: #817323, #817417

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 18 Dec 2016 14:19:01 +0100

cutils (1.6-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild with newer debhelper to get rid of install-info calls in
    maintainer scripts (Closes: #708490).
  * debian/cutils.prerm: Empty maintainer script to ensure clean upgraded.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 10 Aug 2013 21:06:20 +0200

cutils (1.6-3) unstable; urgency=low

  * Change build-depends to use flex-old rather than flex;
    builds now (closes: #253654)
  * Updated standards-version to 3.6.1
  * Updated debhelper to 4

 -- Hamish Moffatt <hamish@debian.org>  Sun, 15 Aug 2004 15:26:29 +1000

cutils (1.6-2) unstable; urgency=low

  * Downgraded DH_COMPAT to 2 since it doesn't need 3 anyway (closes: #119977)
  * Fixed bug in debian/rules clean target (forgot to run dh_clean)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 25 Nov 2001 14:04:40 +1100

cutils (1.6-1) unstable; urgency=low

  * New upstream release (closes: #107859)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 11 Aug 2001 11:42:09 +1000

cutils (1.5.2-8) unstable; urgency=low

  * Applied patch to fix bug in cobfusc (closes: #69580)
  * Updated Standards-Version

 -- Hamish Moffatt <hamish@debian.org>  Wed,  6 Dec 2000 20:47:18 +1100

cutils (1.5.2-7) unstable; urgency=low

  * Added build-deps for debhelper, flex and bison | byacc (closes: #70281)

 -- Hamish Moffatt <hamish@debian.org>  Tue,  7 Nov 2000 17:57:50 +1100

cutils (1.5.2-6) unstable; urgency=low

  * FHS compliant
  * Converted from debstd to debhelper

 -- Hamish Moffatt <hamish@debian.org>  Fri,  1 Oct 1999 18:31:21 +1000

cutils (1.5.2-5) unstable; urgency=low

  * Removed misleading README.Debian, fixes: #39300

 -- Hamish Moffatt <hamish@debian.org>  Fri, 25 Jun 1999 22:08:00 +1000

cutils (1.5.2-4) frozen unstable; urgency=low

  * Fixes for glibc-2.1, fixes #29541

 -- Hamish Moffatt <hamish@debian.org>  Sun, 22 Nov 1998 10:17:00 +1000

cutils (1.5.2-3) unstable; urgency=low

  * Removed the /usr/doc/cutils/examples files, as the only thing
    present was a Makefile without corresponding source (fixes#27457)

 -- Hamish Moffatt <hamish@debian.org>  Tue, 06 Oct 1998 20:35:00 +1000

cutils (1.5.2-2) frozen unstable; urgency=low

  * Recompiled with debmake 3.5.10 (was 3.5.4) to fix uncompressed
    changelog problems found by lintian

 -- Hamish Moffatt <hamish@debian.org>  Mon, 13 Apr 1998 12:30:00 +1000

cutils (1.5.2-1) unstable; urgency=low

  * Initial Release.

 -- Hamish Moffatt <hamish@debian.org>  Thu, 11 Dec 1997 00:47:19 +1100

=== debian/control ===
Source: cutils
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.6.1
Build-Depends:
 bison | byacc,
 debhelper-compat (= 13),
 flex,
 texinfo,
Homepage: http://www.sigala.it/sandro/software.php#cutils
Vcs-Git: https://salsa.debian.org/debian/cutils.git
Vcs-Browser: https://salsa.debian.org/debian/cutils

Package: cutils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C source code utilities
 This package contains several utilities which may be useful to
 developers of C source code utilities, namely:
  cdecl and cundecl - decode and encode C type declarations
  cobfusc - make a C source file unreadable but compilable
  chilight - highlight C source files
  cunloop - unloop C loops
  yyextract - extract grammar rules from yacc grammar
  yyref - yacc grammar reference program

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Compile with LFS support.
export DEB_CPPFLAGS_MAINT_APPEND = \
	$(if $(filter $(DEB_HOST_ARCH_BITS),32),-D_FILE_OFFSET_BITS=64)

MUTABLE_FILES := configure doc/cutils.info

%:
	dh $@

override_dh_update_autotools_config:
	dh_update_autotools_config
	for f in $(MUTABLE_FILES); do \
		cp -an $$f $$f.orig; \
	done

override_dh_clean:
	dh_clean -X.orig
	for f in $(MUTABLE_FILES); do \
		test ! -f $$f.orig || mv -f $$f.orig $$f; \
	done

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: all-utilities-packaged
Depends:
 @,
